---
title: 'Feature-Policy: fullscreen'
slug: Web/HTTP/Headers/Feature-Policy/fullscreen
tags:
  - Feature Policy
  - Feature-Policy
  - HTTP
  - fullscreen
  - header
---
<div>{{HTTPSidebar}} {{SeeCompatTable}}</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>fullscreen</code> directive controls whether the current document is allowed to use {{domxref('Element.requestFullScreen()')}}. When this policy is enabled, the returned {{jsxref('Promise')}} rejects with a {{jsxref('TypeError')}}.</span></p>

<p>By default, top-level documents and their same-origin child frames can request and enter fullscreen mode. This directive allows or prevents cross-origin frames from using fullscreen mode. This includes same-origin frames.</p>

<div class="note">
<p>If both this directive (i.e. via the <code>allow</code> attribute) and the <code>allowfullscreen</code> attribute are present on an <code>&lt;iframe&gt;</code> element, this directive takes precedence. There was a bug whereby the <code>fullscreen</code> directive didn't work unless the <code>allowfullscreen</code> attribute was also present, but this has been fixed as of Firefox 80 ({{bug(1608358)}}).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Feature-Policy: fullscreen &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default value is <code>'self'</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="General_example">General example</h3>

<p>SecureCorp Inc. wants to disable the Fullscreen API within all browsing contexts except for its own origin and those whose origin is <code>https://example.com</code>. It can do so by delivering the following HTTP response header to define a feature policy:</p>

<pre class="brush: bash notranslate">Feature-Policy: fullscreen 'self' https://example.com</pre>

<h3 id="With_an_&lt;iframe&gt;_element">With an &lt;iframe&gt; element</h3>

<p>FastCorp Inc. wants to disable <code>fullscreen</code> for all cross-origin child frames, except for a specific &lt;iframe&gt;. It can do so by delivering the following HTTP response header to define a feature policy:</p>

<pre class="brush: bash notranslate">Feature-Policy: fullscreen 'self'</pre>

<p>Then include an {{HTMLElement('iframe','allow','#Attributes')}} attribute on the <code>&lt;iframe&gt;</code> element:</p>

<pre class="brush: html notranslate">&lt;iframe src="https://other.com/videoplayer" allow="fullscreen"&gt;&lt;/iframe&gt;</pre>

<p>iframe attributes can selectively enable features in certain frames, and not in others, even if those frames contain documents from the same origin.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('Fullscreen','#feature-policy-integration','Fullscreen')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Defines the <code>fullscreen</code> policy.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.fullscreen")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
